#include <stdio.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/mman.h>
#include <sys/ioctl.h>
#include <stdlib.h>

#define EMPEG_DISPLAY_MAGIC             'd'
#define EMPEG_HIJACK_FAKE_TUNERID            _IO(EMPEG_DISPLAY_MAGIC, 91)

int main(int argc, char **argv){
  int display_fd;
  int tunerid;
  int ret;

  if (argc != 2) { fprintf(stderr, "usage: tunerid [0-15]\n"); exit(-1); }
  tunerid = atoi(argv[1]);
  display_fd = open("/dev/display", O_RDWR); 
  ret = ioctl(display_fd, EMPEG_HIJACK_FAKE_TUNERID, &tunerid);
  if (ret < 0)
      perror("tunerid");
  close(display_fd);
  exit (0);
}
